# $Revision: 1.83 $, $Date: 2011/11/14 16:50:53 $
#
# Conditional build:
%bcond_without	gdbmexport	# gdbmexport compatibility tool
#
Summary:	GNU database library for C
Summary(de.UTF-8):	GNU-Datenbank-Library für C
Summary(fr.UTF-8):	La librairie GNU de bases de données pout le langage C
Summary(pl.UTF-8):	Biblioteka GNU bazy danych dla języka C
Summary(ru.UTF-8):	Библиотека базы данных GNU для C
Summary(uk.UTF-8):	Бібліотека бази даних GNU для C
Name:		gdbm
Version:	1.10
Release:	1
License:	GPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/gdbm/%{name}-%{version}.tar.gz
# Source0-md5:	88770493c2559dc80b561293e39d3570
Patch0:		%{name}-info.patch
Patch1:		%{name}-link-compat.patch
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
%{?with_gdbmexport:BuildRequires:	gdbm18-devel >= 1.8.3}
BuildRequires:	libtool
BuildRequires:	texinfo
Obsoletes:	libgdbm2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gdbm is a GNU database indexing library, including routines which use
extensible hashing. gdbm works in a similar way to standard UNIX dbm
routines. gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

%description -l de.UTF-8
Dies ist eine Datenbank-Index-Library für Programmierer, die
C-Anwendungen schreiben und eine einfache und leistungsfähige
Datenbank benötigen oder diese in C-Anwendungen einsetzen möchten.

%description -l fr.UTF-8
Une librairie d'indexation de bases de données. Elle est utile pour
ceux qui désirent écrivent des applications en C et ont besion
d'accéder à une base de données simple et efficace ou de construire
une application en C qui l'utilise.

%description -l pl.UTF-8
W pakiecie znajduje się biblioteka indeksowania bazy danych.
Biblioteka ta jest szczególnie użyteczna dla ludzi, którzy piszą
oprogramowanie w C i potrzebują prostej i szybkiej bazy danych, lub
dla tych którzy piszą programy w C z wykorzystaniem tej biblioteki.

%description -l tr.UTF-8
gdbm bir veri tabanı dizinleme kitaplığıdır. C uygulamaları yazıp
basit ve etkin bir şekilde veri tabanına ulaşmak isteyenler için
yararlı olacaktır.

%description -l ru.UTF-8
Это библиотека для работы с индексированной базой данных. Полезна для
тех, кто разрабатывает программы на C и кому нужен доступ к простой и
эффективной базе данных либо требуется написать программу, которая ее
использует.

%description -l uk.UTF-8
Це бібліотека для роботи з індексованою базою даних. Корисна для тих,
хто розробляє програми на C і кому потрібен доступ до простої та
ефективної бази даних або потрібно написати програму, що її
використовує.

%package devel
Summary:	development libraries and header files for gdbm
Summary(de.UTF-8):	Entwicklungs-Libraries und Header-Dateien für gdbm
Summary(fr.UTF-8):	Bibliothèques de développement et en-têtes pour gdbm
Summary(pl.UTF-8):	Biblioteki i pliki nagłówkowe dla gdbm
Summary(ru.UTF-8):	Библиотека и хедеры gdbm для разработчиков
Summary(tr.UTF-8):	gdbm için başlık dosyaları ve geliştirme kitaplıkları
Summary(uk.UTF-8):	Бібліотека та хедери gdbm для програмістів
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libgdbm2-devel

%description devel
These are the development libraries and header files for gdbm, the GNU
database system. These are required if you plan to do development
using the gdbm database.

%description devel -l de.UTF-8
Dies sind die Entwicklungs-Libraries und Header-Dateien für gdbm, das
GNU-Datenbanksystem. Sie sind darauf angewiesen, wenn Sie vorhaben,
die gdbm-Datenbank für Entwicklungsarbeiten zu benutzen.

%description devel -l fr.UTF-8
Ce sont les librairies de développement et les fichiers d'en-tête pour
gdbm, le système de base de données GNU. Ceci est nécessaire si vous
désirez développer en utilisant la base de données gdbm.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe i biblioteki dla systemu
bazy danych GNU.

%description devel -l tr.UTF-8
GNU veri tabanı sistemi gdbm ile program geliştirmek için gereken
başlık dosyaları ve kitaplıklar.

%description devel -l ru.UTF-8
Это библиотека для разработчиков и хедеры gdbm, базы данных GNU. Они
нужны, если вы собираетесь разрабатывать программы с использованием
gdbm.

%description devel -l uk.UTF-8
Це бібліотека для програмістів та хедери gdbm, бази даних GNU. Вони
потрібні, якщо ви збираєтесь розробляти програми з використанням gdbm.

%package static
Summary:	Static gdbm library
Summary(pl.UTF-8):	Biblioteki statyczne gdbm
Summary(ru.UTF-8):	Статическая библиотека gdbm
Summary(uk.UTF-8):	Статична бібліотека gdbm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gdbm library.

%description static -l pl.UTF-8
Biblioteka statyczna gdbm.

%description static -l ru.UTF-8
Это статическая библиотека gdbm, базы данных GNU.

%description static -l uk.UTF-8
Це статична бібліотека gdbm, бази даних GNU.

%package export
Summary:	gdbmexport utility to export old GDBM 1.8.x databases
Summary(pl.UTF-8):	Narzędzie gdbmexport pozwalające wyeksportować stare bazy GDBM 1.8.x
Group:		Applications/File
Requires:	gdbm18 >= 1.8.3

%description export
gdbmexport utility to export old GDBM 1.8.x databases in order to load
them in new GDBM format.

%description export -l pl.UTF-8
Narzędzie gdbmexport pozwalające wyeksportować stare bazy GDBM 1.8.x w
celu wczytania do nowego formatu GDBM.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-libgdbm-compat \
	--disable-silent-rules \
%if %{with gdbmexport}
	--enable-gdbm-export \
	--with-gdbm183-includedir=%{_includedir}/gdbm-1.8 \
	--with-gdbm183-library="-lgdbm-1.8"
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS NOTE-WARNING README
%attr(755,root,root) %{_bindir}/testgdbm
%attr(755,root,root) %{_libdir}/libgdbm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdbm.so.4
%attr(755,root,root) %{_libdir}/libgdbm_compat.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdbm_compat.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdbm.so
%attr(755,root,root) %{_libdir}/libgdbm_compat.so
%{_libdir}/libgdbm.la
%{_libdir}/libgdbm_compat.la
%{_includedir}/dbm.h
%{_includedir}/gdbm.h
%{_includedir}/ndbm.h
%{_mandir}/man3/gdbm.3*
%{_infodir}/gdbm.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdbm.a
%{_libdir}/libgdbm_compat.a

%if %{with gdbmexport}
%files export
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gdbmexport
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gdbm.spec,v $
Revision 1.83  2011/11/14 16:50:53  qboosh
- updated to 1.10

Revision 1.82  2011/08/14 09:19:04  qboosh
- updated to 1.9.1
  NOTE: sonames changed; database format could have changed on those archs,
  which didn't previously use largefile by default;
  see gdbm18 and gdbm-export packages for compatibility and db conversion)
- updated info,link-compat patches
- removed obsolete jbj,linking,make-jN patches

Revision 1.81  2008/03/13 20:58:03  arekm
- rel 8

Revision 1.80  2008-01-24 01:36:31  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.79  2007-12-18 22:44:56  zbyniu
- simple patch instead of stupid workaround (make -j N)

Revision 1.78  2007-12-12 02:52:56  sls
- __make -j1

Revision 1.77  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.76  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.75  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.74  2007/02/06 00:40:47  baggins
- rel 7
- explicitly link libgdbm_compat to libgdbm

Revision 1.73  2007/01/23 22:59:04  tommat
- added gdbm-linking.patch to allow build on sparc multilib

Revision 1.72  2006/12/22 23:14:08  arekm
- rel 6

Revision 1.71  2006/09/03 11:16:23  glen
- strict internal deps

Revision 1.70  2005/03/21 22:06:20  mmazur
- rel 5 for th

Revision 1.69  2004/10/16 13:38:59  mmazur
- need to start writing down packages I've already bumped; rel 4

Revision 1.68  2004/10/16 13:37:24  mmazur
- rel 5 for th

Revision 1.67  2004/10/12 21:40:54  mmazur
- rel 4 for th

Revision 1.66  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.65  2004/01/23 12:15:18  jajcus
- Release: 3 (to rebuild on AMD64 and _tag_)

Revision 1.64  2003/08/28 08:20:31  ankry
- cosmetics

Revision 1.63  2003/08/23 23:41:39  mmazur
- rel 2 for ac

Revision 1.62  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.61  2003/05/25 05:47:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.60  2002/12/24 17:12:31  qboosh
- updated to 1.8.3 (warning: SONAME has changed)
- removed obsolete DESTDIR patch and hacks
- added some docs

Revision 1.59  2002/12/24 00:26:01  qboosh
- updated Source0 URL

Revision 1.58  2002/11/25 14:13:03  ankry
- massive attack: no need for 755 for *.la

Revision 1.57  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.56  2002/06/23 20:32:24  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.55  2002/05/21 23:13:07  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.54  2002/05/19 18:58:52  kloczek
- release 16,
- merge tramnslations from KSI,
- change Obsoletes s/libgdbm1/libgdbm2/.

Revision 1.53  2002/04/25 20:34:20  mmazur
- fixed broken *.la file; rel 15; STBR

Revision 1.52  2002/04/25 16:21:30  arturs
- fixed a small typo

Revision 1.51  2002/03/18 23:39:04  marcus
- added Obsoletes libgdbm1 for upgrading from mdk
- rel.14.

Revision 1.50  2002/02/23 02:06:17  kloczek
- adapterized.

Revision 1.49  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/01/18 02:13:01  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.47  2001/10/30 00:59:49  kloczek
- release 12.

Revision 1.46  2001/09/26 10:33:46  qboosh
- adapterized, typos, BuildRequires: automake

Revision 1.45  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.43  2001/07/09 10:39:06  kloczek
- release 11: rebuild in new ac 2.50 environment.

Revision 1.42  2001/06/23 07:37:10  kloczek
- release 10: added texinfo to BuildRequires.

Revision 1.41  2001/04/30 16:05:18  kloczek
- added using %{rpmcflags} macro.

Revision 1.40  2001/01/25 20:03:23  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.39  2000/12/23 00:48:44  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.38  2000/11/13 09:36:39  wrobell
- added compatybility headers

Revision 1.37  2000/10/25 06:02:38  kloczek
- release 6: use nae rpm automation.

Revision 1.36  2000/07/11 08:12:20  kloczek
- release 5.

Revision 1.35  2000/06/09 07:22:50  kloczek
- added using %{__make} macro.

Revision 1.34  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.33  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.32  2000/05/09 01:09:59  kloczek
- bump to release 4 (to allow upgrade from RH 6.2),
- spec adapterized.

Revision 1.31  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.30  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.29  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.28  1999/11/09 14:11:38  kloczek
- release 3,
- added jbj patch from rawhide (make sure created database header is
  initialized).

Revision 1.27  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.26  1999/09/19 09:05:40  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.25  1999/07/22 13:20:33  kloczek
- release 2.

Revision 1.24  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.23  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).
